* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family: 'Gill Sans', 'Gill Sans MT', Calibri, 'Trebuchet MS', sans-serif;
}
body {
    width: 100%;
    height: 100vh;
    background: linear-gradient(145deg, #1f1c2c, #928dab); /* Gradient bg */
    color: white;
}

.chat-container {
    width: 100%;
    height: 80%;
    padding: 20px;
    display: flex;
    flex-direction: column;
    gap: 20px;
    font-size: 20px;
    overflow: auto;
}

.user-chat-box {
    width: 60%;
    position: relative;
    left: 40%;
}

.ai-chat-box {
    width: 60%;
    position: relative;
}

.user-chat-area {
    width: 90%;
    padding: 20px;
    background: linear-gradient(145deg, #000000, #434343);
    color: rgba(255, 255, 255, 0.8);
    border-radius: 40px 0px 40px 40px;
    box-shadow: 0 0 15px #6a11cb;
    display: flex;
    gap: 10px;
    flex-direction: column;
}

.ai-chat-area {
    width: 90%;
    padding: 20px;
    background: linear-gradient(145deg, #232526, #414345);
    position: relative;
    left: 10%;
    color: rgba(255, 255, 255, 0.85);
    border-radius: 0px 40px 40px 40px;
    box-shadow: 0 0 15px #11998e;
}

.chooseimg {
    width: 30%;
    border-radius: 30px;
    box-shadow: 0 0 8px white;
}

#userImage {
    position: absolute;
    right: 0;
    filter: drop-shadow(2px 2px 10px black);
}
#aiImage {
    position: absolute;
    left: 0;
    filter: drop-shadow(2px 2px 10px black);
}

.prompt-area {
    width: 100%;
    height: 20%;
    background: rgba(0, 0, 0, 0.7);
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 15px;
    padding: 0 20px;
}

.prompt-area input {
    width: 50%;
    height: 70px;
    background: linear-gradient(to right, #0f2027, #203a43, #2c5364);
    outline: none;
    border: none;
    border-radius: 50px;
    padding: 20px;
    color: #ffffff;
    font-size: 18px;
    box-shadow: 0 0 10px #00c9ff;
    transition: all 0.3s;
}
.prompt-area input:focus {
    box-shadow: 0 0 15px #92fe9d;
}

.prompt-area button {
    width: 70px;
    height: 70px;
    border-radius: 50%;
    background: linear-gradient(to right, #ff416c, #ff4b2b);
    border: none;
    box-shadow: 0 0 10px #ff4b2b;
    cursor: pointer;
    transition: all 0.3s ease;
}
.prompt-area button:hover {
    transform: scale(1.05);
    box-shadow: 0 0 20px #ff416c;
}

.load {
    filter: drop-shadow(2px 2px 10px black);
}

.choose {
    width: 50px;
    height: 50px;
    border-radius: 50%;
    box-shadow: 0 0 5px white;
}

#image {
    display: flex;
    align-items: center;
    justify-content: center;
}

@media (max-width: 600px) {
    .user-chat-box {
        width: 80%;
        left: 20%;
    }
    .ai-chat-box {
        width: 80%;
    }
}
